Name: bitwarden_rs-web
Version: 2.19.0
Release: 1%{?dist}
Summary: Bitwarden web vault with patches for bitwarden_rs (upstream build)
License: GPL-3.0-only
URL: https://github.com/dani-garcia/bw_web_builds

Source0: https://github.com/dani-garcia/bw_web_builds/releases/download/v%{version}/bw_web_v%{version}.tar.gz

%description
This is the Bitwarden web vault with patches applied to make it work with bitwarden_rs.
Upstream built, just packaged.

%prep

%install

tar xf %{SOURCE0}
install -d %{buildroot}/usr/share/bitwarden_rs
mv web-vault/* %{buildroot}/usr/share/bitwarden_rs/

%files
/usr/share/bitwarden_rs

%pre
getent group bitwarden > /dev/null || groupadd -r bitwarden
getent passwd bitwarden > /dev/null || useradd -M -r -g bitwarden -s /sbin/nologin bitwarden

%post
chown -R bitwarden:bitwarden /usr/share/bitwarden_rs
